%Función Filtro Pasabajos (lowpass)
%----------------------------------
%y salida, z senal residuo, x entrada, g ganancia, s size
function y=lowpass(x,s,g)
y=zeros(s,1);
z2=zeros(s+1,1);
for n=1:s
  y(n)=z2(n);
  z2(n+1)=(1-g)*x(n)+g*y(n);
end